For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • POSTRequest Agent Auth Code
      • POSTConfirm Agent Auth Code
      • POSTCreate an Agent Research Object
      • GETGet an Agent Research Object
      • GETGet Agent Research Results
      • GETGet a Single Agent Research Result
      • POSTCreate an Agent Research Update
      • POSTCreate an Agent Research Chat Message
      • GETGet an Agent Research Chat Message
      • GETStream an Agent Research Chat Message
      • POSTUpload an Agent File
      • GETGet Agent Balance
      • POSTCreate Agent Top-Up Checkout Session
API ReferenceAgent

Confirm Agent Auth Code

POST
https://api.caesar.xyz/agents/auth/confirm
POST
/agents/auth/confirm
$curl -X POST https://api.caesar.xyz/agents/auth/confirm \
> -H "Content-Type: application/json" \
> -d '{
> "email": "agent.jane.doe@example.com",
> "code": "A1B2C3D4"
>}'
1{
2 "api_key": "sk_live_4f3b2a1c9d8e7f6a5b4c3d2e1f0a9b8c"
3}
Verifies email code and returns a newly minted API key.
Built with

Request

This endpoint expects an object.
emailstringRequiredformat: "email"
Email address associated with the verification code.
codestringRequired
Verification code sent to the email address.

Response

Verification successful and API key created.
api_keystring
Newly created API key secret for agent usage.

Errors

400
Bad Request Error
500
Internal Server Error